Annotation Interface OpenApi.Operation
- Enclosing class:
OpenApi
-
Optional Element Summary
Optional ElementsModifier and TypeOptional ElementDescriptionbooleanWhether the operation is deprecated.Operation description.Operation id.Complete OpenAPI path template for this operation.String[]Operation tags.Short operation summary.
-
Element Details
-
value
-
operationId
-
path
String pathComplete OpenAPI path template for this operation. This is useful when the Helidon route template cannot be represented directly as an OpenAPI path. The value is not relative to the declarative HTTP path annotation.This element configures only the path template. Use a static OpenAPI document or an
OpenApiDocumentSourceto define Path Item Object summary, description, or path-level servers. If a Path Item$refaccompanies locally generated fields, the referenced Path Item must not define any of the same fields; otherwise the static document or document source must own the complete Path Item and Helidon must not also generate the same path and method from annotations.Path overrides must start with
/and must declare the same path parameters as the generated route. Use simple OpenAPI path parameters such as{id}. Regex constraints, optional path segments, wildcards, escaped path characters, greedy parameters, and path parameter names containing path or template metacharacters are not supported.- Returns:
- OpenAPI path template
- Default:
""
-
description
-
tags
-
deprecated
boolean deprecatedWhether the operation is deprecated.- Returns:
- deprecated flag
- Default:
false
-